<div class="mainform">

{{#if rdftype === 'dariah:Collection'}}
	<div id="total-progress" class="progress progress-striped active" style="display:none;" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
	   <div class="bar" style="width:0%;"></div>
	</div>
	<form as-dropzone class="dropzone" id="dzuploadform">
		<div class="dz-message needsclick">
			<div id="dzbg">
				<i class="fa fa-arrow-circle-down fa-5x" aria-hidden="true"></i>
			</div>
			<div id="dzcontent">
				<h3>{{i18n('add-file-drop')}}</h3>
			</div>
    	</div>
  	</form>
<!--
	{{#if disableUI}}
	<br/>
  	<button type="button" class="btn btn-small btn-danger" id="cancelUploadBtn">{{i18n('upload-cancel')}}</button>
	{{/if}}
-->
	<button type="button" class="btn btn-small btn-danger" id="cancelUploadBtn" {{#if !disableUI}}style="display:none;"{{else}}style="margin-top:18px;"{{/if}}>{{i18n('upload-cancel')}}</button>
{{/if}}

{{#if showRemoveFileDialog}}
    <div class="alert alert-danger">
      <a href="#" class="close" on-click="@this.toggle('showRemoveFileDialog')">&times;</a>
      {{#if rdftype === 'dariah:Collection'}}
        <h4><i class="icon-warning-sign"></i> {{i18n('remove-subcollection')}}</h4>
        <p>{{i18n('alert-remove-subcollection1')}} <strong>{{schema.0.fieldvalue}}</strong> {{i18n('alert-remove-subcollection2')}}</p>
        <button type="button" class="btn btn-small btn-danger" on-click="@this.fire('delete-file', 'collection')">{{i18n('alert-yes')}}</button>
      {{else}}
        <h4><i class="icon-warning-sign"></i> {{i18n('remove-file')}}</h4>
        <p>{{i18n('alert-remove-file1')}} <strong>{{schema.0.fieldvalue}}</strong> {{i18n('alert-remove-file2')}}</p>
        <button type="button" class="btn btn-small btn-danger" on-click="@this.fire('delete-file', 'file')">{{i18n('alert-yes')}}</button>
      {{/if}}
      <button type="button" class="btn btn-small pull-right" on-click="@this.toggle('showRemoveFileDialog')">{{i18n('alert-no')}}</button>
    </div>
  {{else}}
    <!-- show 'view-file' for collections only in debug mode -->
    {{#if rdftype !== 'dariah:Collection' || debug}}
      {{#if format && format.includes('audio')}}
        <!-- LISTEN-TO -->
		<a href="{{fileViewLocation}}" target="_blank" class="btn btn-small" title="{{i18n('tt-listen-to')}}" id="viewFile" {{#if disableUI}}style="visibility: hidden;"{{else}}style="margin-top:18px;"{{/if}}>
          <i class="icon-headphones" title="{{i18n('listen-to')}}"></i> {{i18n('listen-to')}}
        </a>
      {{else}}
        <!-- VIEW -->
		<a href="{{fileViewLocation}}" target="_blank" class="btn btn-small"title="{{i18n('tt-view-file')}}" id="viewFile" {{#if disableUI}}style="visibility: hidden;"{{else}}style="margin-top:18px;"{{/if}}>
          <i class="icon-eye-open" title="{{i18n('view-file')}}"></i> {{i18n('view-file')}}
        </a>
      {{/if}}
	{{/if}}
      <!-- show update and remove buttons only if not seafile and update button only for files -->
      {{#if uri.split(':')[0] !== 'seafile'}}
          {{#if rdftype !== 'dariah:Collection'}}
	          <span class="pull-right" id="updateDelete" {{#if disableUI}}style="visibility: hidden;"{{/if}}>
	            <!-- UPDATE FILE -->
	            <span class="btn btn-file btn-small" title="{{i18n('tt-update-file')}}">
	              <i class="icon-refresh"></i> {{i18n('update-file')}}
	              <input type="file" on-change="update-file">
	            </span> &nbsp;
	            <!-- REMOVE FILE -->
	            <button class="btn btn-small" on-click="@this.toggle('showRemoveFileDialog')" title="{{i18n('tt-remove-file')}}">
	              <i class="icon-trash" title="{{i18n('tt-remove-file')}}"></i> {{i18n('remove-file')}}
	            </button>
	          </span>
          {{else}}
            {{^isTopLevelCollection}}
              <!-- REMOVE SUBCOLLECTION-->
              <button class="btn btn-small pull-right" on-click="@this.toggle('showRemoveFileDialog')" title="{{i18n('tt-remove-subcollection')}}" {{#if disableUI}}disabled="disabled"{{/if}}>
                <i class="icon-trash" title="{{i18n('tt-remove-subcollection')}}"></i> {{i18n('remove-subcollection')}}
              </button>
              <div style="clear:both"></div>
            {{/isTopLevelCollection}}
          {{/if}}

		<div id="file-progress" class="progress progress-striped active" style="display:none;" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
		   <div class="bar" style="width:0%;"></div>
		</div>
      <hr/>
    {{/if}}
  {{/if}}

  <!-- here are all the input fields for this form get added -->
  <div {{#if disableUI}}style="pointer-events: none; opacity: .6;"{{/if}}>
    {{#schema:i}}
      {{>getComponent(tgforms_hasInput)}}
    {{/schema}}
  </div>
</div>
